      subroutine diff1t
     *(nca,ica,ncb,icb,nt,it,ispt,np,ip,ispp,iadr1,b,
     *ab)
      parameter(maxsym=8,maxorbcas=16)
      include 'maxorb.prm'
      IMPLICIT REAL*8(A-H,O-X,Z),logical*1(y)
c    |-*-*-*-*-*-*-*-|-*-*-*-*-*-*-*-|
c    |      b        |      ab       |
c
      common/dim/iadri ; integer(8) iadri
      common/opt/ihab,calcul
      character*3 calcul
      common/sym/ itsym(maxorb*2),its(maxsym,maxsym),nsym
      common/sy3/itorbi(maxorb),isbrot(maxorb),itorbc(maxorb)
     *,itorbs(maxorb)
      common /orb/ enuc,eref,norb,noca,nocb
     *,iorb(2*maxorb),ninac,nvirt,noca0
      common/orb2/numina(maxorb),numvir(maxorb),iordo(maxorb*2)
     *,iodro(maxorb*2)
     *,numinb(maxorb),numvib(maxorb)
      common/l40/ hmono(maxorb*(maxorb+1)/2),aj(maxorb*(maxorb+1)/2)
     *,ak(maxorb*(maxorb+1)/2),f(maxorb*(maxorb+1)/2),e0
     *,ajk(maxorb*(maxorb+1)/2),escf
      dimension ica(maxorbcas),icb(maxorbcas),it(2),ip(2)
      dimension ittemp(maxorb),itd(maxorb)
      dimension b(iadri),ab(iadri)
      common/test/itest(100)
      yw=.false.
c
c-----------------------------------------------------------
c     une difference  deplacement d'un trou
c-----------------------------------------------------------
c
      nta=(nt+ispt)/2
      npa=(np+ispp)/2
      ntb=nt-nta
      npb=np-npa
      b0=b(iadr1)
      call comple(ninac,numina,nta,it,ntd,itd)
c--------boucle sur le trou supprime
      do i=1,nta
         is1=itsym(it(i))
c        it(i) est le trou supprime
         if(yw)write(6,*)'diff1t trou supprime',it(i)
c-------------boucle sur le trou cree
         do j=1,ntd
            if(itd(j).lt.it(i)) goto 1
            if(is1.ne.itsym(itd(j))) goto 1
            if(yw)write(6,*)'diff1t trou cree',itd(j)
            mini=min(it(i),itd(j))
            maxi=max0(it(i),itd(j))
            do k=1,nt
               ittemp(k)=it(k)
            enddo
            ittemp(i)=itd(j)
            isgn=2*mod(iabs(iodro(itd(j))-iodro(it(i))),2)-1
            if(nta.gt.1) then
               if(ittemp(1).gt.ittemp(2))then
                  ii=ittemp(1)
                  ittemp(1)=ittemp(2)
                  ittemp(2)=ii
                  isgn=-isgn
               endif
            endif
            if(yw)write(6,*)'ittemp',(ittemp(kk),kk=1,nt)
c           write(68,*)'ittemp',(ittemp(kk),kk=1,nt)
c           write(68,*)'isgn',isgn
            call adrdet
     *      (nca,ica,ncb,icb,nt,ittemp,ispt,np,ip,ispp,iadr2,
     *      mhdum,mtdum)
c------------------calcul de l'integrale
            a=f(maxi*(maxi-1)/2+mini)
c------------------
            if(yw)write(6,*)'diff1t adresses,int',iadr1,iadr2,a
            if(calcul.eq.'M') then
               call stover(iadr1,iadr2,a*isgn)
            else
               aa=a*isgn
CIT17           if(itest(17).eq.iadr2)write(6,'('' diff1t it17'',i5,2f12
CIT17        *   iadr1,aa,b(iadr1)
CIT17           if(itest(17).eq.iadr1)write(6,'('' diff1t it17'',i5,2f12
CIT17        *   iadr2,aa,b(iadr2)
               ab(iadr2)=ab(iadr2)+aa*b0
               ab(iadr1)=ab(iadr1)+aa*b(iadr2)
            endif
 1          continue
         enddo
      enddo
      if(nta.eq.2) return
      call comple(ninac,numinb,ntb,it(nta+1),ntd,itd)
c--------boucle sur le trou supprime
      do i=1,ntb
         is1=itsym(it(nta+i))
c        it(nta+i) est le trou supprime
         if(yw)write(6,*)'diff1t trou supprime',it(nta+i)
c-------------boucle sur le trou cree
         do j=1,ntd
            if(itd(j).lt.it(nta+i)) goto 2
            if(is1.ne.itsym(itd(j))) goto 2
            if(yw)write(6,*)'diff1t trou cree',itd(j)
c           write(68,*)'b diff1t ts,tc',it(nta+i),itd(j)
c           itd(j) est le trou cree
            mini=min(iorb(it(nta+i)),iorb(itd(j)))
            maxi=max0(iorb(it(nta+i)),iorb(itd(j)))
            do k=1,nt
               ittemp(k)=it(k)
            enddo
            ittemp(nta+i)=itd(j)
            isgn=2*mod(iabs(iodro(itd(j))-iodro(it(nta+i))),2)-1
            if(ntb.gt.1) then
               if(ittemp(1).gt.ittemp(2))then
                  ii=ittemp(1)
                  ittemp(1)=ittemp(2)
                  ittemp(2)=ii
                  isgn=-isgn
               endif
            endif
            if(yw)write(6,*)'ittemp',(ittemp(kk),kk=1,nt)
c           write(68,*)'ittemp',(ittemp(kk),kk=1,nt)
c           write(68,*)'isgn',isgn
            call adrdet
     *      (nca,ica,ncb,icb,nt,ittemp,ispt,np,ip,ispp,iadr2,
     *      mhdum,mtdum)
c------------------calcul de l'integrale
            a=f(maxi*(maxi-1)/2+mini)
c------------------
            if(yw)write(6,*)'diff1t adresses,int',iadr1,iadr2,a
            if(calcul.eq.'M') then
               call stover(iadr1,iadr2,a*isgn)
            else
               aa=a*isgn
CIT17           if(itest(17).eq.iadr2)write(6,'('' diff1t it17'',i5,2f12
CIT17        *   iadr1,aa,b(iadr1)
CIT17           if(itest(17).eq.iadr1)write(6,'('' diff1t it17'',i5,2f12
CIT17        *   iadr2,aa,b(iadr2)
               ab(iadr2)=ab(iadr2)+aa*b0
               ab(iadr1)=ab(iadr1)+aa*b(iadr2)
            endif
 2          continue
         enddo
      enddo
      return
      end
